<?php

include("plotinclude.php");

printf("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n");
printf("<html>\n<head>\n");
printf("<meta http-equiv='content-type' content='text/html; charset=ISO-8859-1'>\n");
printf("<title>show plots</title>\n");
printf("<link rel='stylesheet' type='text/css' href='lamouette.css'>\n");
printf("</head>\n");
printf("<body>\n");

$seq=0;
if (!empty($_GET["seq"]))
    $seq=$_GET["seq"];
$tabnum=1;
if (!empty($_GET["tabnum"]))
    $tabnum=$_GET["tabnum"];
$type2="calib";
if (!empty($_GET["type2"]))
    $type2=$_GET["type2"];
$next=0;
$prev=0;

if (!empty($seq))
{
    if (!empty($_GET["next"]))
        $tabnum=$tabnum+1;
    if (!empty($_GET["prev"]))
        $tabnum=$tabnum-1;
    $type=gettypename($type2);
    $plot=getplotname($seq, $tabnum, $type, $type2);

    //be careful: this has to be adapted in case tabs are removed or new tabs are added
    if (($type2=="calib" && $tabnum==12) || ($type2=="signal" && $tabnum==11) || ($type2=="star" && $tabnum==19))
    {
        $tabnum=1;
        switch ($type2)
        {
        case "calib":
            $type2="signal";
            break;
        case "signal":
            $type2="star";
            break;
        case "star":
            $type2="calib";
            break;
        }
        $type=gettypename($type2);
        $plot=getplotname($seq, $tabnum, $type, $type2);
    }
    if ($tabnum==0)
    {
        switch($type2)
        {
        case "calib":
            $type2="star";
            $tabnum=18;
            break;
        case "signal":
            $type2="calib";
            $tabnum=11;
            break;
        case "star":
            $type2="signal";
            $tabnum=10;
            break;
        }
        $type=gettypename($type2);
        $plot=getplotname($seq, $tabnum, $type, $type2);
    }
    $next=$tabnum+1;
    $prev=$tabnum-1;
}
printf("<form action='showplots.php' method='GET'>\n");
printf("<table width='100%%' border='0'>\n");
printf("<tr><td align='center'>\n");
printf("<input type='text' name='seq' size='10' maxlength='10' value='%s'>\n", $seq);
printf("<input type='text' name='type2' size='10' maxlength='10' value='%s'>\n", $type2);
printf("<input type='text' name='tabnum' size='2' maxlenght='2' value='%s'>\n", $tabnum);
printf("<input type='submit' value='Show Plot'><br>\n");
if (!empty($seq))
{
    printf("<input type='submit' value='<< %d Prev Plot' name='prev'>\n", $prev);
    printf("%s \n", $plot);
    printf("<input type='submit' value='Next Plot %d >>' name='next'>\n", $next);
}
printf("</td>\n</tr>\n<tr>\n<td align='center'>\n");
if (!empty($seq))
    printf("<img src='%s'>", $plot);
else
    printf("You have to select a sequence.");
printf("</td>\n</tr>\n</table>\n");
printf("</form>\n");
printf("</body>\n");
printf("</html>\n");

?>
